<div
  cdkDropList
  cdkDropListOrientation="horizontal"
  (cdkDropListDropped)="drop($event)"
>
  @for (option of options; track option; let i = $index) {
    <nz-tag
      [nzMode]="getNzMode()"
      (nzOnClose)="handleClose(option)"
      class="m-b-2"
      cdkDrag
    >
      {{ option }}
      <div
        *cdkDragPreview
        class="container-border container-border-color neutral-background-color p-l-3 p-r-3 m-b-5"
      >
        {{ option }}
      </div>
    </nz-tag>
  }
</div>

<div>
  @if (!inputVisible) {
    <nz-tag
      [attr.data-test-element-id]="'add-tag-placeholder'"
      class="editable-tag"
      nzNoAnimation
      (click)="showInput()"
    >
      <i nz-icon nzType="plus"></i> {{ placeholder }}
    </nz-tag>
  }

  @if (inputVisible) {
    <input
      #inputElement
      [attr.data-test-element-id]="'add-tag-field'"
      nz-input
      nzSize="small"
      type="text"
      [(ngModel)]="inputValue"
      style="width: 78px"
      (blur)="handleInputConfirm()"
      (keydown.enter)="handleInputConfirm()"
    />
  }
</div>
